# Capo properties for the Docker-provided services
metadataDatabase.jdbcDriver   = org.postgresql.Driver
metadataDatabase.jdbcUrl      = jdbc:postgresql://db/archive
metadataDatabase.jdbcUsername = archive
metadataDatabase.jdbcPassword = docker

edu.nrao.archive.configuration.AmqpServer.hostname = amqp
edu.nrao.archive.configuration.AmqpServer.username = guest
edu.nrao.archive.configuration.AmqpServer.password = guest
edu.nrao.archive.configuration.AmqpServer.port     = 5672

#
# Workspaces settings
#
edu.nrao.workspaces.CapabilitySettings.serviceUrl = http://capability:3457
edu.nrao.workspaces.WorkflowSettings.serviceUrl = http://workflow:3456
edu.nrao.workspaces.NotificationSettings.serviceUrl = http://notification:3458
edu.nrao.workspaces.UISettings.serviceUrl = http://localhost:4444/workspaces
edu.nrao.workspaces.CapabilitySettings.externalServiceUrl = http://capability:3457

#
# Processing Settings
#
edu.nrao.workspaces.ProcessingSettings.useCasa = false
edu.nrao.workspaces.ProcessingSettings.rootDirectory =  /lustre/aoc/cluster/pipeline/docker/workspaces/spool
edu.nrao.workspaces.ProcessingSettings.scriptLocation = /lustre/aoc/cluster/pipeline/docker/workspaces/sbin
edu.nrao.workspaces.ProcessingSettings.ramInGb = 0.21G
edu.nrao.workspaces.ProcessingSettings.CasaVersion.vlass = /home/casa/packages/pipeline/casa-6.1.3-3-pipeline-2021.1.1.32

edu.nrao.archive.workflow.config.CasaVersions.homeForReprocessing = /home/casa/packages/pipeline/current

#
# Delivery settings
#
edu.nrao.workspaces.DeliverySettings.downloadDirectory = /tmp/delivery_root
edu.nrao.workspaces.DeliverySettings.downloadUrl = http://localhost:4444/dl

edu.nrao.workspaces.VlassDeliverySettings.cache = /lustre/aoc/cluster/pipeline/vlass_docker/cache

#
# Ingestion Settings
#
edu.nrao.workspaces.IngestionSettings.useIngest = False
edu.nrao.workspaces.IngestionSettings.stagingDirectory = /lustre/aoc/cluster/pipeline/docker/workspaces/staging
edu.nrao.workspaces.IngestionSettings.storageDirectory = /lustre/aoc/cluster/pipeline/docker/workspaces/storage

#
# Standard Calibration Settings
#
edu.nrao.workspaces.DeliverySettings.standardCalibrationDelivery =  /lustre/aoc/cluster/pipeline/docker/workspaces/qa2
edu.nrao.workspaces.DeliverySettings.cacheWeblogDirectory =  /lustre/aoc/cluster/pipeline/docker/workspaces/cache/weblog
# borrowing from the CIPL settings in the old workflow
# Whether we automatically run standard calibration
# 3 states: RUN (launch on arrival), PAUSE (queue but don't execute), STOP (ignore events)
edu.nrao.workspaces.StandardCalibrationSettings.runState = RUN

#
# Standard Imaging Settings
#
edu.nrao.workspaces.DeliverySettings.standardImageDelivery = /lustre/aoc/cluster/pipeline/docker/workspaces/image-qa

#
# Product Fetcher settings
#
edu.nrao.workspaces.ProductFetcherSettings.locatorServiceUrlPrefix = https://webtest.aoc.nrao.edu/archive-service/location?locator
edu.nrao.workspaces.ProductFetcherSettings.defaultThreadsPerHost = 4
edu.nrao.workspaces.ProductFetcherSettings.executionSite = local_test

#
# Notification Settings
#
edu.nrao.workspaces.NotificationSettings.analystEmail = workspaces-analysts-test@listmgr.nrao.edu
edu.nrao.workspaces.NotificationSettings.sendPIEmail = False

#
# CARTA settings
#
edu.nrao.workspaces.carta.useCarta = False
edu.nrao.carta.timeoutInMinutes = 1
edu.nrao.carta.pathToExecutable = /fake/path/to/nowhere
edu.nrao.carta.host = nowhere.nrao.edu
edu.nrao.carta.redisHost = noplace.nrao.edu
edu.nrao.carta.reverseProxyHost = black-abyss.nrao.edu
edu.nrao.carta.redisPort = 6397
edu.nrao.carta.redisPassword = password

# Sentry.io Settings
edu.nrao.workspaces.SentrySettings.sentry_key = local

# WS Annihilator Settings
edu.nrao.workspaces.AnnihilatorSettings.keepSpoolForDays = 10
edu.nrao.workspaces.AnnihilatorSettings.keepStagingForDays = 10
edu.nrao.workspaces.AnnihilatorSettings.keepStorageForDays = 10
edu.nrao.workspaces.AnnihilatorSettings.keepCacheForDays = 10
